;(function() {/*
 showplusx: a performance-optimized slideshow engine
 @author  Levente Hunyadi
 @version 1.0
 @remarks Copyright (C) 2009-2017 Levente Hunyadi
 @remarks Licensed under GNU/GPLv3, see http://www.gnu.org/licenses/gpl-3.0.html
 @see     http://hunyadi.info.hu/projects/showplusx
*/
'use strict';var h={src:"",caption:"hidden",title:"",href:"",target:"_blank"},l={items:[],order:"normal",effects:function(a){var b=[];Object.keys(a).forEach(function(d){a[d].forEach(function(a){b.push(d+"-"+a)})});return b}({fade:["fade"],fold:["left","right"],push:["left","right","top","bottom"],circle:["circle"],kenburns:["topleft","topright","bottomright","bottomleft"]}),defaults:h,navigation:"hidden",dir:"ltr"};
function m(a,b){a=a||{};for(var d in JSON.parse(JSON.stringify(b)))a[d]=a[d]||b[d];return a}function n(a,b){a=a.classList;b?a.remove("showplusx-hidden"):a.add("showplusx-hidden")}function p(a,b,d){var c=a.classList;d.forEach(function(a){c.remove("showplusx-animation-"+a)});b.forEach(function(a){c.add("showplusx-animation-"+a)})}function q(){}q.prototype.a=null;q.prototype.c=0;q.prototype.b=0;
function r(a,b){this.a=m(b,l);this.a.defaults=m(this.a.defaults,h);var d=this;this.cache={};this.c=0;b=document.createElement("div");b.classList.add("showplusx-slideshow");b.dir=this.a.dir;this.i=b;var c=document.createElement("div");c.classList.add("showplusx-viewport");this.f=c;var g=document.createElement("div");g.classList.add("showplusx-caption");g.addEventListener("animationend",function(){p(g,[],["in"])});this.j=g;var e=document.createElement("div");e.classList.add("showplusx-navigation");
e.classList.add("showplusx-"+this.a.navigation);var f=this.a.items,t=f.length;0<t&&(f.forEach(function(a,b){var f=document.createElement("a"),k=f.classList;k.add("showplusx-item");k.add("showplusx-hidden");f.addEventListener("animationend",function(){if(k.contains("showplusx-animation-in"))p(f,["show"],["in"]);else if(k.contains("showplusx-animation-show")){if(p(f,["out"],["show"]),n(g,!1),k.contains("showplusx-current"))switch(d.a.order){case "normal":d.next();break;case "reverse":d.g();break;case "random":var a=
Math.floor(Math.random()*(t-1-1-0+1))+0;d.b(a>=b?a+1:a)}}else k.contains("showplusx-animation-out")&&(p(f,[],["out"]),n(f,!1))},!1);c.appendChild(f);a=document.createElement("span");a.addEventListener("click",function(){d.b(b)},!1);e.appendChild(a)}),this.h());b.appendChild(c);f=document.createElement("div");f.classList.add("showplusx-previous");f.addEventListener("click",function(){d.g()},!1);var k=document.createElement("div");k.classList.add("showplusx-next");k.addEventListener("click",function(){d.next()},
!1);b.appendChild(f);b.appendChild(k);b.appendChild(g);b.appendChild(e);a.appendChild(b)}window.ShowPlusXSlideshow=r;r.prototype.m=function(){var a=this.i;a.parentNode.removeChild(a);this.i=null};r.prototype.destroy=r.prototype.m;function u(a){var b=a.a.items;a=a.c-1;0>a&&(a=b.length-1);return a}function v(a){var b=a.c+1;b>=a.a.items.length&&(b=0);return b}r.prototype.h=function(){this.b(0)};r.prototype.first=r.prototype.h;r.prototype.g=function(){this.b(u(this))};r.prototype.previous=r.prototype.g;
r.prototype.next=function(){this.b(v(this))};r.prototype.next=r.prototype.next;r.prototype.b=function(a){this.f.children[this.c].classList.remove("showplusx-current");w(this,a,this.l.bind(this,a))};r.prototype.display=r.prototype.b;
r.prototype.l=function(a){function b(a,b){var c=a.substr(0,a.indexOf("-"));b?(c&&d.add("showplusx-"+c),d.add("showplusx-"+a)):(c&&d.remove("showplusx-"+c),d.remove("showplusx-"+a))}w(this,u(this));w(this,v(this));var d=this.f.classList,c=this.a.effects;c.forEach(function(a){b(a,!1)});(c=c[Math.floor(Math.random()*(c.length-1-0+1))+0])&&b(c,!0);var c=this.f.children[a],g=m(this.a.items[a],this.a.defaults),e=this.cache[g.src].a;g.href?c.href=g.href:c.removeAttribute("href");g.target?c.target=g.target:
c.removeAttribute("target");c.style.setProperty("background-image",'url("'+e+'")');e=this.j;e.innerHTML=g.title;e.classList.remove("showplusx-caption-top");e.classList.remove("showplusx-caption-bottom");e.classList.add("showplusx-caption-"+g.caption);this.c=a;c.classList.add("showplusx-current");p(c,["in"],["out","show"]);p(e,["in"],[]);n(c,!0);n(e,!0)};
function w(a,b,d){var c=d||new Function,g=a.a.items[b].src;if(a.cache.hasOwnProperty(g))c(a.cache[g]);else{var e=new q,f=document.createElement("img");f.addEventListener("load",function(){e.a=f.src;e.c=f.width;e.b=f.height;a.cache[g]=e;c(e)},!1);f.addEventListener("error",function(){a.cache[g]=e;c(e)},!1);f.src=g}};}).call(window);
